package cz.muni.disa.adamiss.se.stats.objects;

import cz.muni.disa.adamiss.se.common.Algo;

public record ExperimentReport(String name, DBReport dbStats, int threshold, double time, Algo algorithm) {

    public String toCSV(){
        return this.name() + "," +
                dbStats().toCSV() + "," +
                this.threshold() + "," +
                this.time() + "," +
                this.algorithm().name();
    }
}
